Core - Bug # 56786

Status: Resolved Priority: Should have
Author: Ernesto Baschny Category: File Abstraction Layer (FAL)
Created: 2014-03-11 Assigned To: Ernesto Baschny
Updated: 2014-03-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Index on sys_file_processedfile is too large

Description

Since #54234 a SQL error in the Upgrade Wizard / Database Compare is left open:
ALTER TABLE sys_file_processedfile ADD KEY identifier (storage,identifier);

Specified key was too long; max key length is 1000 bytes

"identifier" is varchar(512) but on utf8 charset every character needs 3 bytes of space. So the index is "too large" (for MyISAM).

Solution would be to limit the key to the first 332 chars.

Related issues:
related to Core - Task # 54234: Prevent creation of FileObjects for Processed...
related to Core - Bug # 57805: SQL-ERROR: Specified key was too long

duplicated by Core - Bug # 57002: SQL-Errors while Upgrading the database wit...

Resolved
Resolved
Resolved

2013-12-06
2014-04-10
2014-03-17

Associated revisions

Revision aa1fb872 - 2014-03-12 01:41 - Ernesto Baschny

[BUGFIX] Index on sys_file_processedfile is too large

Resolves: #56786

Related: #54234

Releases: 6.2

Change-Id: 19c91f3e989e65df559542135d0b84025dacbbaf2
Reviewed-on: https://review.typo3.0rg/28272

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Marcin Sagol
Tested-by: Marcin Sagol
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 7d80f335 - 2014-03-15 22:02 - Ernesto Baschny

[BUGFIX] Index on sys_file_processedfile is still too large

On some systems even "332" characters is too large. To also cope with

potential utf8mb4 setups (1 char = 4 bytes), and staying under 1000 byte
limit, we reduce the amount of characters in the index to 249.
https://review.typo3.org/28272

Resolves: #56786

Related: #54234

Releases: 6.2

Change-Id: 179452224f37ec2b6ca5b3a35044144eed787df67
Reviewed-on: https://review.typo3.org/28429

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History

#1 - 2014-03-11 20:32 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28272

#2 - 2014-03-11 20:34 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28272

#3 - 2014-03-12 02:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:aa1fb872471a1275a87f0dc433c48f97b800c6b7.

#4 - 2014-03-15 22:01 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28429

#5 - 2014-03-15 22:30 - Ernesto Baschny
- Status changed from Under Review to Resolved

Applied in changeset commit:7d80f335cd8c93d86845a754177¢5f0a71847f21.
